<?php

declare(strict_types=1);

namespace App\Controller\Query;

use App\Service\QueryService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getQueryService(): QueryService
    {
        return $this->container->get('Query_service');
    }
}
